curl --request GET \
--url https://api.getcargo.io/v1/ai/files/{uuid} \
--header 'Authorization: Bearer <token>'{
"file": {
"uuid": "<string>",
"workspaceUuid": "<string>",
"userUuid": "<string>",
"name": "<string>",
"isTemporary": true,
"folderUuid": "<string>",
"s3Filename": "<string>",
"openAiFileId": "<string>",
"contentType": "<string>",
"size": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>"
}
}Get an AI file by UUID
curl --request GET \
--url https://api.getcargo.io/v1/ai/files/{uuid} \
--header 'Authorization: Bearer <token>'{
"file": {
"uuid": "<string>",
"workspaceUuid": "<string>",
"userUuid": "<string>",
"name": "<string>",
"isTemporary": true,
"folderUuid": "<string>",
"s3Filename": "<string>",
"openAiFileId": "<string>",
"contentType": "<string>",
"size": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
File identifier.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Successful response
File details.
Show child attributes
Was this page helpful?